// Flutter code sample for Expanded

// This example shows how to use an [Expanded] widget in a [Column] so that
// it's middle child, a [Container] here, expands to fill the space.
//
// ![This results in two thin blue boxes with a larger amber box in between.](https://flutter.github.io/assets-for-api-docs/assets/widgets/expanded_column.png)



import 'package:flutter/material.dart';



/// This Widget is the main application widget.
class PwcExpandedWidget extends StatelessWidget {

  @required final Widget child;
  final int height;
  final FlexFit fit;
  final int flex;

  const PwcExpandedWidget({
    this.child,
    this.height,
    this.fit,
    this.flex,

  });


  /// This is the stateless widget that the main application instantiates.


  @override
  Widget build(BuildContext context) {
    return Scaffold(


      body: Center(
        child: Row(
          children: <Widget>[



            Expanded(
              flex: flex!=null?flex:2,

              child:child,
            ),
          ],
        ),
      ),
    );
  }
}
